Package fr.gouv.vitam.functional.administration.common.config

# Class CustomSearchOnFieldsConfiguration

java.lang.Object
fr.gouv.vitam.functional.administration.common.config.CustomSearchOnFieldsConfiguration

public class CustomSearchOnFieldsConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomSearchOnFieldsConfiguration()`
  `CustomSearchOnFieldsConfiguration(DefaultCustomSearchCollectionConfiguration defaultCustomSearchCollectionConfiguration, List<DedicatedTenantCustomSearchConfiguration> dedicatedTenantCustomSearchConfiguration, List<GroupedTenantCustomSearchConfiguration> groupedTenantConfigurations)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DedicatedTenantCustomSearchConfiguration>`
  `getDedicatedTenantCustomSearchConfiguration()`
  `DefaultCustomSearchCollectionConfiguration`
  `getDefaultCustomSearchCollectionConfiguration()`
  `List<GroupedTenantCustomSearchConfiguration>`
  `getGroupedTenantConfiguration()`
  `CustomSearchOnFieldsConfiguration`
  `setDedicatedTenantCustomSearchConfiguration(List<DedicatedTenantCustomSearchConfiguration> dedicatedTenantCustomSearchConfiguration)`
  `CustomSearchOnFieldsConfiguration`
  `setDefaultCustomSearchCollectionConfiguration(DefaultCustomSearchCollectionConfiguration defaultCustomSearchCollectionConfiguration)`
  `CustomSearchOnFieldsConfiguration`
  `setGroupedTenantConfiguration(List<GroupedTenantCustomSearchConfiguration> groupedTenantConfigurations)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomSearchOnFieldsConfiguration

    public CustomSearchOnFieldsConfiguration()

  - ### CustomSearchOnFieldsConfiguration

    public CustomSearchOnFieldsConfiguration(DefaultCustomSearchCollectionConfiguration defaultCustomSearchCollectionConfiguration, List<DedicatedTenantCustomSearchConfiguration> dedicatedTenantCustomSearchConfiguration, List<GroupedTenantCustomSearchConfiguration> groupedTenantConfigurations)

- ## Method Details

  - ### getDefaultCustomSearchCollectionConfiguration

    public DefaultCustomSearchCollectionConfiguration getDefaultCustomSearchCollectionConfiguration()

  - ### setDefaultCustomSearchCollectionConfiguration

    public CustomSearchOnFieldsConfiguration setDefaultCustomSearchCollectionConfiguration(DefaultCustomSearchCollectionConfiguration defaultCustomSearchCollectionConfiguration)

  - ### getDedicatedTenantCustomSearchConfiguration

    public List<DedicatedTenantCustomSearchConfiguration> getDedicatedTenantCustomSearchConfiguration()

  - ### setDedicatedTenantCustomSearchConfiguration

    public CustomSearchOnFieldsConfiguration setDedicatedTenantCustomSearchConfiguration(List<DedicatedTenantCustomSearchConfiguration> dedicatedTenantCustomSearchConfiguration)

  - ### getGroupedTenantConfiguration

    public List<GroupedTenantCustomSearchConfiguration> getGroupedTenantConfiguration()

  - ### setGroupedTenantConfiguration

    public CustomSearchOnFieldsConfiguration setGroupedTenantConfiguration(List<GroupedTenantCustomSearchConfiguration> groupedTenantConfigurations)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`